using System;

class Program
{
    static void Main()
    {
        string[] unos1 = Console.ReadLine().Split();
        int N = int.Parse(unos1[0]);
        int L = int.Parse(unos1[1]);

        string[] unos2 = Console.ReadLine().Split();

        for (int i = 0; i < N; i++)
        {
            int H = int.Parse(unos2[i]);
            
            if (H <= L)
            {
                Console.WriteLine(i + 1);
                return;
            }
        }
        
        Console.WriteLine(-1);
    }
}